org.mozilla.javascript

## Enum Token.CommentType

- java.lang.Object
- - java.lang.Enum<Token.CommentType>
  - - org.mozilla.javascript.Token.CommentType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Token.CommentType>

Enclosing class:
  Token

    public static enum Token.CommentType
    extends java.lang.Enum<Token.CommentType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BLOCK_COMMENT`
`HTML`
`JSDOC`
`LINE`

### Method Summary

Methods
`static Token.CommentType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Token.CommentType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LINE

    public static final Token.CommentType LINE

#### BLOCK_COMMENT

    public static final Token.CommentType BLOCK_COMMENT

#### JSDOC

    public static final Token.CommentType JSDOC

#### HTML

    public static final Token.CommentType HTML

### Method Detail

#### values

    public static Token.CommentType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Token.CommentType c : Token.CommentType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Token.CommentType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null